petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexCreateRigidBody

For the default global section, create rigid body modes by function space interpolation

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateRigidBody(DM dm, MatNullSpace *sp)

Collective on dm

### Input Arguments

dm -the DM

### Output Argument

sp -the null space

Note: This is necessary to provide a suitable coarse space for algebraic multigrid

### See Also

MatNullSpaceCreate(), PCGAMG

### Level

advanced

### Location

src/dm/impls/plex/plexfem.c

### Examples

src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex77.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages